Index: test/bellman_ford_test.cc
===================================================================
--- test/bellman_ford_test.cc	(revision 1270)
+++ test/bellman_ford_test.cc	(revision 1174)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2013
+ * Copyright (C) 2003-2010
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -66,8 +66,8 @@
   Arc e;
   Value l;
-  ::lemon::ignore_unused_variable_warning(l);
+  ignore_unused_variable_warning(l);
   int k=3;
   bool b;
-  ::lemon::ignore_unused_variable_warning(b);
+  ignore_unused_variable_warning(b);
   BF::DistMap d(gr);
   BF::PredMap p(gr);
@@ -150,5 +150,5 @@
   Digraph g;
   bool b;
-  ::lemon::ignore_unused_variable_warning(b);
+  ignore_unused_variable_warning(b);
 
   bellmanFord(g,LengthMap()).run(Node());
Index: test/bfs_test.cc
===================================================================
--- test/bfs_test.cc	(revision 1270)
+++ test/bfs_test.cc	(revision 1173)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2013
+ * Copyright (C) 2003-2010
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -62,5 +62,5 @@
   Arc e;
   int l, i;
-  ::lemon::ignore_unused_variable_warning(l,i);
+  ignore_unused_variable_warning(l,i);
   bool b;
   BType::DistMap d(G);
@@ -152,5 +152,5 @@
   Digraph g;
   bool b;
-  ::lemon::ignore_unused_variable_warning(b);
+  ignore_unused_variable_warning(b);
 
   bfs(g).run(Node());
Index: test/bpgraph_test.cc
===================================================================
--- test/bpgraph_test.cc	(revision 1292)
+++ test/bpgraph_test.cc	(revision 1194)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2013
+ * Copyright (C) 2003-2010
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -79,5 +79,4 @@
     e2 = G.addEdge(bn1, rn1),
     e3 = G.addEdge(rn1, bn2);
-  ::lemon::ignore_unused_variable_warning(e2,e3);
 
   checkGraphNodeList(G, 3);
@@ -115,5 +114,5 @@
   BpGraph G;
   RedNode
-    n1 = G.addRedNode(), n4 = G.addRedNode();
+    n1 = G.addRedNode(), n4 = G.addRedNode(); 
   BlueNode
     n2 = G.addBlueNode(), n3 = G.addBlueNode();
@@ -121,5 +120,4 @@
     e1 = G.addEdge(n1, n2), e2 = G.addEdge(n1, n3),
     e3 = G.addEdge(n4, n2), e4 = G.addEdge(n4, n3);
-  ::lemon::ignore_unused_variable_warning(e1,e3,e4);
 
   // Check edge deletion
@@ -164,5 +162,5 @@
   BpGraph G;
   RedNode
-    n1 = G.addRedNode(), n4 = G.addRedNode();
+    n1 = G.addRedNode(), n4 = G.addRedNode(); 
   BlueNode
     n2 = G.addBlueNode(), n3 = G.addBlueNode();
@@ -170,5 +168,4 @@
     e1 = G.addEdge(n1, n2), e2 = G.addEdge(n1, n3),
     e3 = G.addEdge(n4, n2), e4 = G.addEdge(n4, n3);
-  ::lemon::ignore_unused_variable_warning(e1,e3,e4);
 
   G.changeRed(e2, n4);
@@ -220,8 +217,7 @@
     n2 = G.addBlueNode(),
     n3 = G.addBlueNode();
-  Edge
+  Edge 
     e1 = G.addEdge(n1, n2),
     e2 = G.addEdge(n1, n3);
-  ::lemon::ignore_unused_variable_warning(e1,e2);
 
   checkGraphNodeList(G, 3);
@@ -309,5 +305,4 @@
     e1 = g.addEdge(n1, n2),
     e2 = g.addEdge(n1, n3);
-  ::lemon::ignore_unused_variable_warning(e2);
 
   check(g.valid(n1), "Wrong validity check");
Index: test/circulation_test.cc
===================================================================
--- test/circulation_test.cc	(revision 1270)
+++ test/circulation_test.cc	(revision 1173)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2013
+ * Copyright (C) 2003-2010
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -74,5 +74,5 @@
   VType v;
   bool b;
-  ::lemon::ignore_unused_variable_warning(v,b);
+  ignore_unused_variable_warning(v,b);
 
   typedef Circulation<Digraph, CapMap, CapMap, SupplyMap>
@@ -105,5 +105,5 @@
   const_circ_test.barrierMap(bar);
 
-  ::lemon::ignore_unused_variable_warning(fm);
+  ignore_unused_variable_warning(fm);
 }
 
Index: test/connectivity_test.cc
===================================================================
--- test/connectivity_test.cc	(revision 1270)
+++ test/connectivity_test.cc	(revision 1159)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2013
+ * Copyright (C) 2003-2010
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -69,5 +69,5 @@
     Graph g(d);
     Digraph::Node n = d.addNode();
-    ::lemon::ignore_unused_variable_warning(n);
+    ignore_unused_variable_warning(n);
 
     check(stronglyConnected(d), "This digraph is strongly connected");
@@ -98,21 +98,4 @@
     check(simpleGraph(g), "This graph is simple.");
   }
-
-  {
-    ListGraph g;
-    ListGraph::NodeMap<bool> map(g);
-
-    ListGraph::Node n1 = g.addNode();
-    ListGraph::Node n2 = g.addNode();
-
-    ListGraph::Edge e1 = g.addEdge(n1, n2);
-    ::lemon::ignore_unused_variable_warning(e1);
-    check(biNodeConnected(g), "Graph is bi-node-connected");
-
-    ListGraph::Node n3 = g.addNode();
-    ::lemon::ignore_unused_variable_warning(n3);
-    check(!biNodeConnected(g), "Graph is not bi-node-connected");
-  }
-
 
   {
@@ -264,5 +247,5 @@
     Digraph::Node watch = d.addNode();
     Digraph::Node pants = d.addNode();
-    ::lemon::ignore_unused_variable_warning(watch);
+    ignore_unused_variable_warning(watch);
 
     d.addArc(socks, shoe);
Index: test/dfs_test.cc
===================================================================
--- test/dfs_test.cc	(revision 1270)
+++ test/dfs_test.cc	(revision 1176)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2013
+ * Copyright (C) 2003-2010
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -68,5 +68,5 @@
   int l, i;
   bool b;
-  ::lemon::ignore_unused_variable_warning(l,i,b);
+  ignore_unused_variable_warning(l,i,b);
 
   DType::DistMap d(G);
@@ -154,5 +154,5 @@
   Digraph g;
   bool b;
-  ::lemon::ignore_unused_variable_warning(b);
+  ignore_unused_variable_warning(b);
 
   dfs(g).run(Node());
@@ -224,5 +224,5 @@
   check(dfs.run(s1,t1) && dfs.reached(t1),"Node 3 is reachable from Node 6.");
   }
-
+  
   {
     NullMap<Node,Arc> myPredMap;
Index: test/digraph_test.cc
===================================================================
--- test/digraph_test.cc	(revision 1270)
+++ test/digraph_test.cc	(revision 1160)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2013
+ * Copyright (C) 2003-2010
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -65,5 +65,5 @@
       a3 = G.addArc(n2, n3),
       a4 = G.addArc(n2, n3);
-  ::lemon::ignore_unused_variable_warning(a2,a3,a4);
+  ignore_unused_variable_warning(a2,a3,a4);
 
   checkGraphNodeList(G, 3);
@@ -94,5 +94,5 @@
   Arc a1 = G.addArc(n1, n2), a2 = G.addArc(n2, n1),
       a3 = G.addArc(n2, n3), a4 = G.addArc(n2, n3);
-  ::lemon::ignore_unused_variable_warning(a1,a2,a3,a4);
+  ignore_unused_variable_warning(a1,a2,a3,a4);
 
   Node n4 = G.split(n2);
@@ -128,5 +128,5 @@
       a3 = G.addArc(n4, n3), a4 = G.addArc(n4, n3),
       a5 = G.addArc(n2, n4);
-  ::lemon::ignore_unused_variable_warning(a1,a2,a3,a5);
+  ignore_unused_variable_warning(a1,a2,a3,a5);
 
   checkGraphNodeList(G, 4);
@@ -208,5 +208,5 @@
       a3 = G.addArc(n4, n3), a4 = G.addArc(n3, n1),
       a5 = G.addArc(n2, n4);
-  ::lemon::ignore_unused_variable_warning(a2,a3,a4,a5);
+  ignore_unused_variable_warning(a2,a3,a4,a5);
 
   // Check arc deletion
@@ -256,5 +256,5 @@
   Arc a1 = G.addArc(n1, n2), a2 = G.addArc(n2, n1),
       a3 = G.addArc(n2, n3), a4 = G.addArc(n2, n3);
-  ::lemon::ignore_unused_variable_warning(a1,a2,a3,a4);
+  ignore_unused_variable_warning(a1,a2,a3,a4);
 
   typename Digraph::Snapshot snapshot(G);
@@ -357,5 +357,5 @@
     e1 = g.addArc(n1, n2),
     e2 = g.addArc(n2, n3);
-  ::lemon::ignore_unused_variable_warning(e2);
+  ignore_unused_variable_warning(e2);
 
   check(g.valid(n1), "Wrong validity check");
@@ -443,5 +443,5 @@
     a3 = g.addArc(n2, n3),
     a4 = g.addArc(n2, n3);
-  ::lemon::ignore_unused_variable_warning(a2,a3,a4);
+  ignore_unused_variable_warning(a2,a3,a4);
 
   digraphCopy(g, G).nodeRef(nref).run();
Index: test/dijkstra_test.cc
===================================================================
--- test/dijkstra_test.cc	(revision 1270)
+++ test/dijkstra_test.cc	(revision 1173)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2013
+ * Copyright (C) 2003-2010
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -66,5 +66,5 @@
   int i;
   bool b;
-  ::lemon::ignore_unused_variable_warning(l,i,b);
+  ignore_unused_variable_warning(l,i,b);
 
   DType::DistMap d(G);
@@ -165,5 +165,5 @@
   Digraph g;
   bool b;
-  ::lemon::ignore_unused_variable_warning(b);
+  ignore_unused_variable_warning(b);
 
   dijkstra(g,LengthMap()).run(Node());
Index: test/edge_set_test.cc
===================================================================
--- test/edge_set_test.cc	(revision 1270)
+++ test/edge_set_test.cc	(revision 1159)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2013
+ * Copyright (C) 2003-2010
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -45,10 +45,10 @@
 
   Digraph::Arc ga1 = digraph.addArc(n1, n2);
-  ::lemon::ignore_unused_variable_warning(ga1);
+  ignore_unused_variable_warning(ga1);
 
   ArcSet arc_set(digraph);
 
   Digraph::Arc ga2 = digraph.addArc(n2, n1);
-  ::lemon::ignore_unused_variable_warning(ga2);
+  ignore_unused_variable_warning(ga2);
 
   checkGraphNodeList(arc_set, 2);
@@ -78,5 +78,5 @@
     a3 = arc_set.addArc(n2, n3),
     a4 = arc_set.addArc(n2, n3);
-  ::lemon::ignore_unused_variable_warning(a2,a3,a4);
+  ignore_unused_variable_warning(a2,a3,a4);
 
   checkGraphNodeList(arc_set, 3);
@@ -115,10 +115,10 @@
 
   Digraph::Arc ga1 = digraph.addArc(n1, n2);
-  ::lemon::ignore_unused_variable_warning(ga1);
+  ignore_unused_variable_warning(ga1);
 
   ArcSet arc_set(digraph);
 
   Digraph::Arc ga2 = digraph.addArc(n2, n1);
-  ::lemon::ignore_unused_variable_warning(ga2);
+  ignore_unused_variable_warning(ga2);
 
   checkGraphNodeList(arc_set, 2);
@@ -148,5 +148,5 @@
     a3 = arc_set.addArc(n2, n3),
     a4 = arc_set.addArc(n2, n3);
-  ::lemon::ignore_unused_variable_warning(a2,a3,a4);
+  ignore_unused_variable_warning(a2,a3,a4);
 
   checkGraphNodeList(arc_set, 3);
@@ -199,10 +199,10 @@
 
   Digraph::Arc ga1 = digraph.addArc(n1, n2);
-  ::lemon::ignore_unused_variable_warning(ga1);
+  ignore_unused_variable_warning(ga1);
 
   EdgeSet edge_set(digraph);
 
   Digraph::Arc ga2 = digraph.addArc(n2, n1);
-  ::lemon::ignore_unused_variable_warning(ga2);
+  ignore_unused_variable_warning(ga2);
 
   checkGraphNodeList(edge_set, 2);
@@ -241,5 +241,5 @@
     e3 = edge_set.addEdge(n2, n3),
     e4 = edge_set.addEdge(n2, n3);
-  ::lemon::ignore_unused_variable_warning(e2,e3,e4);
+  ignore_unused_variable_warning(e2,e3,e4);
 
   checkGraphNodeList(edge_set, 3);
@@ -287,10 +287,10 @@
 
   Digraph::Arc ga1 = digraph.addArc(n1, n2);
-  ::lemon::ignore_unused_variable_warning(ga1);
+  ignore_unused_variable_warning(ga1);
 
   EdgeSet edge_set(digraph);
 
   Digraph::Arc ga2 = digraph.addArc(n2, n1);
-  ::lemon::ignore_unused_variable_warning(ga2);
+  ignore_unused_variable_warning(ga2);
 
   checkGraphNodeList(edge_set, 2);
@@ -329,5 +329,5 @@
     e3 = edge_set.addEdge(n2, n3),
     e4 = edge_set.addEdge(n2, n3);
-  ::lemon::ignore_unused_variable_warning(e2,e3,e4);
+  ignore_unused_variable_warning(e2,e3,e4);
 
   checkGraphNodeList(edge_set, 3);
Index: test/euler_test.cc
===================================================================
--- test/euler_test.cc	(revision 1270)
+++ test/euler_test.cc	(revision 1159)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2013
+ * Copyright (C) 2003-2010
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -102,6 +102,6 @@
     Graph g(d);
     Digraph::Node n = d.addNode();
-    ::lemon::ignore_unused_variable_warning(n);
-
+    ignore_unused_variable_warning(n);
+  
     checkDiEulerIt(d);
     checkDiEulerIt(g);
@@ -191,5 +191,5 @@
     Digraph::Node n4 = d.addNode();
     Digraph::Node n5 = d.addNode();
-    ::lemon::ignore_unused_variable_warning(n0,n4,n5);
+    ignore_unused_variable_warning(n0,n4,n5);
 
     d.addArc(n1, n2);
Index: test/fractional_matching_test.cc
===================================================================
--- test/fractional_matching_test.cc	(revision 1270)
+++ test/fractional_matching_test.cc	(revision 1160)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2013
+ * Copyright (C) 2003-2010
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -343,5 +343,5 @@
       pv += weight[mwfm.matching(n)];
       SmartGraph::Node o = graph.target(mwfm.matching(n));
-      ::lemon::ignore_unused_variable_warning(o);
+      ignore_unused_variable_warning(o);
     } else {
       check(mwfm.nodeValue(n) == 0, "Invalid matching");
@@ -408,5 +408,5 @@
     pv += weight[mwpfm.matching(n)];
     SmartGraph::Node o = graph.target(mwpfm.matching(n));
-    ::lemon::ignore_unused_variable_warning(o);
+    ignore_unused_variable_warning(o);
   }
 
Index: test/gomory_hu_test.cc
===================================================================
--- test/gomory_hu_test.cc	(revision 1270)
+++ test/gomory_hu_test.cc	(revision 1173)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2013
+ * Copyright (C) 2003-2010
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -69,5 +69,5 @@
   Value v;
   int d;
-  ::lemon::ignore_unused_variable_warning(v,d);
+  ignore_unused_variable_warning(v,d);
 
   GomoryHu<Graph, CapMap> gh_test(g, cap);
Index: test/graph_copy_test.cc
===================================================================
--- test/graph_copy_test.cc	(revision 1270)
+++ test/graph_copy_test.cc	(revision 1194)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2013
+ * Copyright (C) 2003-2009
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -54,5 +54,5 @@
     }
   }
-
+  
   // Test digraph copy
   GR to;
@@ -73,5 +73,5 @@
     nodeCrossRef(ncr).arcCrossRef(ecr).
     node(fn, tn).arc(fa, ta).run();
-
+  
   check(countNodes(from) == countNodes(to), "Wrong copy.");
   check(countArcs(from) == countArcs(to), "Wrong copy.");
@@ -101,5 +101,5 @@
   // Test repeated copy
   digraphCopy(from, to).run();
-
+  
   check(countNodes(from) == countNodes(to), "Wrong copy.");
   check(countArcs(from) == countArcs(to), "Wrong copy.");
@@ -204,5 +204,5 @@
   // Test repeated copy
   graphCopy(from, to).run();
-
+  
   check(countNodes(from) == countNodes(to), "Wrong copy.");
   check(countEdges(from) == countEdges(to), "Wrong copy.");
@@ -367,5 +367,5 @@
   // Test repeated copy
   bpGraphCopy(from, to).run();
-
+  
   check(countNodes(from) == countNodes(to), "Wrong copy.");
   check(countRedNodes(from) == countRedNodes(to), "Wrong copy.");
Index: test/graph_test.cc
===================================================================
--- test/graph_test.cc	(revision 1270)
+++ test/graph_test.cc	(revision 1159)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2013
+ * Copyright (C) 2003-2010
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -67,5 +67,5 @@
   Edge e2 = G.addEdge(n2, n1),
        e3 = G.addEdge(n2, n3);
-  ::lemon::ignore_unused_variable_warning(e2,e3);
+  ignore_unused_variable_warning(e2,e3);
 
   checkGraphNodeList(G, 3);
@@ -100,5 +100,5 @@
        e3 = G.addEdge(n2, n3), e4 = G.addEdge(n1, n4),
        e5 = G.addEdge(n4, n3);
-  ::lemon::ignore_unused_variable_warning(e1,e3,e4,e5);
+  ignore_unused_variable_warning(e1,e3,e4,e5);
 
   checkGraphNodeList(G, 4);
@@ -180,5 +180,5 @@
        e3 = G.addEdge(n2, n3), e4 = G.addEdge(n1, n4),
        e5 = G.addEdge(n4, n3);
-  ::lemon::ignore_unused_variable_warning(e1,e3,e4,e5);
+  ignore_unused_variable_warning(e1,e3,e4,e5);
 
   // Check edge deletion
@@ -221,5 +221,5 @@
   Edge e1 = G.addEdge(n1, n2), e2 = G.addEdge(n2, n1),
        e3 = G.addEdge(n2, n3);
-  ::lemon::ignore_unused_variable_warning(e1,e2,e3);
+  ignore_unused_variable_warning(e1,e2,e3);
 
   checkGraphNodeList(G, 3);
@@ -386,5 +386,5 @@
     e1 = g.addEdge(n1, n2),
     e2 = g.addEdge(n2, n3);
-  ::lemon::ignore_unused_variable_warning(e2);
+  ignore_unused_variable_warning(e2);
 
   check(g.valid(n1), "Wrong validity check");
@@ -525,5 +525,5 @@
 
   Node n = G.nodeFromId(dim);
-  ::lemon::ignore_unused_variable_warning(n);
+  ignore_unused_variable_warning(n);
 
   for (NodeIt n(G); n != INVALID; ++n) {
Index: test/graph_test.h
===================================================================
--- test/graph_test.h	(revision 1270)
+++ test/graph_test.h	(revision 1195)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2013
+ * Copyright (C) 2003-2009
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
Index: test/hao_orlin_test.cc
===================================================================
--- test/hao_orlin_test.cc	(revision 1270)
+++ test/hao_orlin_test.cc	(revision 1173)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2013
+ * Copyright (C) 2003-2010
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -67,5 +67,5 @@
   CutMap cut;
   Value v;
-  ::lemon::ignore_unused_variable_warning(v);
+  ignore_unused_variable_warning(v);
 
   HaoOrlin<Digraph, CapMap> ho_test(g, cap);
Index: test/heap_test.cc
===================================================================
--- test/heap_test.cc	(revision 1270)
+++ test/heap_test.cc	(revision 1065)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2013
+ * Copyright (C) 2003-2009
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
Index: test/lgf_reader_writer_test.cc
===================================================================
--- test/lgf_reader_writer_test.cc	(revision 1270)
+++ test/lgf_reader_writer_test.cc	(revision 1198)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2013
+ * Copyright (C) 2003-2010
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -386,5 +386,5 @@
   writer.arcMap("arc_map1", arc_map);
   writer.arcMap("arc_map2", arc_map, WriterConverter());
-  writer.node("node", n2);
+  writer.node("node", n2); 
   writer.edge("edge", e1);
   writer.arc("arc", graph.direct(e1, false));
@@ -493,5 +493,5 @@
   writer.arcMap("arc_map2", arc_map, WriterConverter());
   writer.node("node", n);
-  writer.redNode("red_node", rn1);
+  writer.redNode("red_node", rn1); 
   writer.blueNode("blue_node", bn2);
   writer.edge("edge", e1);
Index: test/lgf_test.cc
===================================================================
--- test/lgf_test.cc	(revision 1270)
+++ test/lgf_test.cc	(revision 1087)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2013
+ * Copyright (C) 2003-2011
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -64,8 +64,8 @@
 
 
-int main()
+int main() 
 {
   {
-    ListDigraph d;
+    ListDigraph d; 
     ListDigraph::Node s,t;
     ListDigraph::ArcMap<int> label(d);
@@ -94,5 +94,5 @@
 
   {
-    ListDigraph d;
+    ListDigraph d; 
     std::istringstream input(test_lgf_nomap);
     digraphReader(d, input).
@@ -111,5 +111,5 @@
 
   {
-    ListDigraph d;
+    ListDigraph d; 
     std::istringstream input(test_lgf_bad1);
     bool ok=false;
@@ -118,5 +118,5 @@
         run();
     }
-    catch (FormatError&)
+    catch (FormatError&) 
       {
         ok = true;
@@ -140,5 +140,5 @@
 
   {
-    ListDigraph d;
+    ListDigraph d; 
     std::istringstream input(test_lgf_bad2);
     bool ok=false;
Index: test/lp_test.cc
===================================================================
--- test/lp_test.cc	(revision 1270)
+++ test/lp_test.cc	(revision 1140)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2013
+ * Copyright (C) 2003-2009
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -199,10 +199,5 @@
       c = c <= 4;
       LP::Constr c2;
-#if ( __GNUC__ == 4 ) && ( __GNUC_MINOR__ == 3 )
-      c2 = ( -3 <= v ) <= 4;
-#else
       c2 = -3 <= v <= 4;
-#endif
-
     }
 
@@ -246,5 +241,6 @@
   {
     LP::DualExpr e,f,g;
-    LP::Row p1 = INVALID, p2 = INVALID;
+    LP::Row p1 = INVALID, p2 = INVALID, p3 = INVALID,
+      p4 = INVALID, p5 = INVALID;
 
     e[p1]=2;
Index: test/maps_test.cc
===================================================================
--- test/maps_test.cc	(revision 1270)
+++ test/maps_test.cc	(revision 1159)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2013
+ * Copyright (C) 2003-2010
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -104,5 +104,5 @@
     NullMap<A,B> map1;
     NullMap<A,B> map2 = map1;
-    ::lemon::ignore_unused_variable_warning(map2);
+    ignore_unused_variable_warning(map2);
     map1 = nullMap<A,B>();
   }
@@ -115,5 +115,5 @@
     ConstMap<A,B> map2 = B();
     ConstMap<A,B> map3 = map1;
-    ::lemon::ignore_unused_variable_warning(map2,map3);
+    ignore_unused_variable_warning(map2,map3);
 
     map1 = constMap<A>(B());
@@ -122,5 +122,5 @@
     ConstMap<A,C> map4(C(1));
     ConstMap<A,C> map5 = map4;
-    ::lemon::ignore_unused_variable_warning(map5);
+    ignore_unused_variable_warning(map5);
 
     map4 = constMap<A>(C(2));
@@ -144,5 +144,5 @@
     IdentityMap<A> map1;
     IdentityMap<A> map2 = map1;
-    ::lemon::ignore_unused_variable_warning(map2);
+    ignore_unused_variable_warning(map2);
 
     map1 = identityMap<A>();
@@ -205,7 +205,7 @@
     checkConcept<ReadMap<B,double>, CompMap>();
     CompMap map1 = CompMap(DoubleMap(),ReadMap<B,A>());
-    ::lemon::ignore_unused_variable_warning(map1);
+    ignore_unused_variable_warning(map1);
     CompMap map2 = composeMap(DoubleMap(), ReadMap<B,A>());
-    ::lemon::ignore_unused_variable_warning(map2);
+    ignore_unused_variable_warning(map2);
 
     SparseMap<double, bool> m1(false); m1[3.14] = true;
@@ -220,7 +220,7 @@
     checkConcept<ReadMap<A,double>, CombMap>();
     CombMap map1 = CombMap(DoubleMap(), DoubleMap());
-    ::lemon::ignore_unused_variable_warning(map1);
+    ignore_unused_variable_warning(map1);
     CombMap map2 = combineMap(DoubleMap(), DoubleMap(), std::plus<double>());
-    ::lemon::ignore_unused_variable_warning(map2);
+    ignore_unused_variable_warning(map2);
 
     check(combineMap(constMap<B,int,2>(), identityMap<B>(), &binc)[B()] == 3,
@@ -234,13 +234,13 @@
     FunctorToMap<F> map1;
     FunctorToMap<F> map2 = FunctorToMap<F>(F());
-    ::lemon::ignore_unused_variable_warning(map2);
+    ignore_unused_variable_warning(map2);
 
     B b = functorToMap(F())[A()];
-    ::lemon::ignore_unused_variable_warning(b);
+    ignore_unused_variable_warning(b);
 
     checkConcept<ReadMap<A,B>, MapToFunctor<ReadMap<A,B> > >();
     MapToFunctor<ReadMap<A,B> > map =
       MapToFunctor<ReadMap<A,B> >(ReadMap<A,B>());
-    ::lemon::ignore_unused_variable_warning(map);
+    ignore_unused_variable_warning(map);
 
     check(functorToMap(&func)[A()] == 3,
@@ -260,7 +260,7 @@
       ConvertMap<ReadMap<double, int>, double> >();
     ConvertMap<RangeMap<bool>, int> map1(rangeMap(1, true));
-    ::lemon::ignore_unused_variable_warning(map1);
+    ignore_unused_variable_warning(map1);
     ConvertMap<RangeMap<bool>, int> map2 = convertMap<int>(rangeMap(2, false));
-    ::lemon::ignore_unused_variable_warning(map2);
+    ignore_unused_variable_warning(map2);
 
   }
@@ -536,6 +536,5 @@
 
     typedef Orienter<Graph, const ConstMap<Edge, bool> > Digraph;
-    ConstMap<Edge, bool> true_edge_map(true);
-    Digraph dgr(gr, true_edge_map);
+    Digraph dgr(gr, constMap<Edge, bool>(true));
     OutDegMap<Digraph> odm(dgr);
     InDegMap<Digraph> idm(dgr);
Index: test/matching_test.cc
===================================================================
--- test/matching_test.cc	(revision 1270)
+++ test/matching_test.cc	(revision 1173)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2013
+ * Copyright (C) 2003-2010
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -146,5 +146,5 @@
   MaxMatching<Graph>::Status stat =
     const_mat_test.status(n);
-  ::lemon::ignore_unused_variable_warning(stat);
+  ignore_unused_variable_warning(stat);
   const MaxMatching<Graph>::StatusMap& smap =
     const_mat_test.statusMap();
Index: test/max_cardinality_search_test.cc
===================================================================
--- test/max_cardinality_search_test.cc	(revision 1270)
+++ test/max_cardinality_search_test.cc	(revision 1088)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2013
+ * Copyright (C) 2003-2010
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -68,5 +68,5 @@
   ProcMap proc;
   HeapCrossRef crossref(g);
-
+  
   typedef MaxCardinalitySearch<Digraph,CapMap>
     ::SetCapacityMap<CapMap>
@@ -82,5 +82,5 @@
   MaxCardType::Heap& heap = const_cast<MaxCardType::Heap&>(heap_const);
   maxcard.heap(heap,crossref);
-
+  
   maxcard.capacityMap(cap).cardinalityMap(card).processedMap(proc);
 
Index: test/max_clique_test.cc
===================================================================
--- test/max_clique_test.cc	(revision 1270)
+++ test/max_clique_test.cc	(revision 1022)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2013
+ * Copyright (C) 2003-2010
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -55,5 +55,5 @@
   "5 7    14\n"
   "6 7    15\n";
-
+      
 
 // Check with general graphs
@@ -63,5 +63,5 @@
   typedef GrossoLocatelliPullanMc<GR> McAlg;
   typedef McAlg::CliqueNodeIt CliqueIt;
-
+  
   // Basic tests
   {
@@ -82,5 +82,5 @@
     check(static_cast<GR::Node>(it1) == u && ++it1 == INVALID,
           "Wrong CliqueNodeIt");
-
+    
     GR::Node v = g.addNode();
     check(mc.run(rule) == McAlg::ITERATION_LIMIT, "Wrong termination cause");
@@ -110,5 +110,5 @@
       .nodeMap("max_clique", max_clique)
       .run();
-
+    
     McAlg mc(g);
     mc.iterationLimit(50);
@@ -134,5 +134,5 @@
   typedef GrossoLocatelliPullanMc<FullGraph> McAlg;
   typedef McAlg::CliqueNodeIt CliqueIt;
-
+  
   for (int size = 0; size <= 40; size = size * 3 + 1) {
     GR g(size);
@@ -157,5 +157,5 @@
   GridGraph::NodeMap<char> map(g);
   GrossoLocatelliPullanMc<GridGraph> mc(g);
-
+  
   mc.iterationLimit(100);
   check(mc.run(rule) == mc.ITERATION_LIMIT, "Wrong termination cause");
@@ -180,9 +180,9 @@
   checkMaxCliqueFullGraph(GrossoLocatelliPullanMc<FullGraph>::DEGREE_BASED);
   checkMaxCliqueFullGraph(GrossoLocatelliPullanMc<FullGraph>::PENALTY_BASED);
-
+                       
   checkMaxCliqueGridGraph(GrossoLocatelliPullanMc<GridGraph>::RANDOM);
   checkMaxCliqueGridGraph(GrossoLocatelliPullanMc<GridGraph>::DEGREE_BASED);
   checkMaxCliqueGridGraph(GrossoLocatelliPullanMc<GridGraph>::PENALTY_BASED);
-
+                       
   return 0;
 }
Index: test/min_cost_arborescence_test.cc
===================================================================
--- test/min_cost_arborescence_test.cc	(revision 1270)
+++ test/min_cost_arborescence_test.cc	(revision 1173)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2013
+ * Copyright (C) 2003-2010
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -92,5 +92,5 @@
   VType c;
   bool b;
-  ::lemon::ignore_unused_variable_warning(c,b);
+  ignore_unused_variable_warning(c,b);
   int i;
   CostMap cost;
@@ -128,6 +128,6 @@
   c = const_mcarb_test.dualValue(i);
 
-  ::lemon::ignore_unused_variable_warning(am);
-  ::lemon::ignore_unused_variable_warning(pm);
+  ignore_unused_variable_warning(am);
+  ignore_unused_variable_warning(pm);
 }
 
Index: test/min_cost_flow_test.cc
===================================================================
--- test/min_cost_flow_test.cc	(revision 1270)
+++ test/min_cost_flow_test.cc	(revision 956)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2013
+ * Copyright (C) 2003-2010
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
Index: test/min_mean_cycle_test.cc
===================================================================
--- test/min_mean_cycle_test.cc	(revision 1270)
+++ test/min_mean_cycle_test.cc	(revision 1178)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2013
+ * Copyright (C) 2003-2010
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -211,5 +211,5 @@
     checkMmcAlg<HowardMmc<GR, IntArcMap> >(gr, l3, c3,  0, 1);
     checkMmcAlg<HowardMmc<GR, IntArcMap> >(gr, l4, c4, -1, 1);
-
+    
     // Howard with iteration limit
     HowardMmc<GR, IntArcMap> mmc(gr, l1);
